Subject: Re: [Bugme-new] [Bug 11297] New: OOPS in rt6_fill_node

From: Brian Haley <[email-masked]>
Date: Mon, 11 Aug 2008 22:06:37 -0400

David Miller wrote:
> Hmmm... from what I understand so far based upon Parag's most
> recent reply, Brian's patch should be OK.
> 
> Does everyone else agree?

Just an fyi I think part of the confusion was the output I posted:

# ip -f inet6 route get fec0::1
unreachable fec0::1 dev lo  table unspec  proto none  src
2001:1890:1109:a10:218:feff:fe7f:49c8  metric -1  error -101 hoplimit 255

On my system I have a global address on eth0, so that's printed in my 
output.  Others don't have a global, so see ::1, which is expected.  I 
see the same behavior on my Debian Lenny 2.6.18 box as 2.6.27, so my 
patch doesn't seem to have changed anything.

-Brian